readfile
realpath_cache_get
Filesystem Functions
PHP Manual

# readlink

(PHP 4, PHP 5)

readlink — Returns the target of a symbolic link

### Description

string readlink ( string `$path` )

readlink() does the same as the readlink C function.

### Parameters

`path`

  The symbolic link path.

### Changelog

Version | Description
--- | ---
5.3.0 | This function is now available on Windows platforms (Vista, Server 2008 or greater).

### Return Values

Returns the contents of the symbolic link path or `FALSE` on error.

### Examples

Example #1 readlink() example

`<?php
// output e.g. /boot/vmlinux-2.4.20-xfs
echo readlink('/vmlinuz');
?>`

### See Also

- is_link() - Tells whether the filename is a symbolic link
- symlink() - Creates a symbolic link
- linkinfo() - Gets information about a link

readfile
realpath_cache_get
Filesystem Functions
PHP Manual